#
# spec file for package iscsitarget (Version 0.4.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           iscsitarget
BuildRequires:  openssl-devel
URL:            http://iscsitarget.sourceforge.net
License:        LGPL
Group:          System/Daemons
Prereq:         %fillup_prereq %insserv_prereq /bin/cat /bin/rm
Autoreqprov:    on
Version:        0.4.13
Release:        14.8
Requires:       kernel
Summary:        Open Source iSCSI Target with Professional Features
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}.init
Patch1:         %{name}-svn-33.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The aim of the project is to develop an open source iSCSI target with
professional features that works well in enterprise environment under
real workload and is scalable and versatile enough to meet the
challenge of future storage needs and developments.



Authors:
--------
    iscsitarget-devel@lists.sourceforge.net

%debug_package
%prep
%setup
%patch1 -p1

%build
%{__make} CFLAGS="${RPM_OPT_FLAGS} -I../include" bindir=/usr/sbin progs

%install
install -vD usr/ietd ${RPM_BUILD_ROOT}/usr/sbin/ietd
install -vD usr/ietadm ${RPM_BUILD_ROOT}/usr/sbin/ietadm
install -vD -m 600 etc/ietd.conf ${RPM_BUILD_ROOT}/etc/ietd.conf
install -vD -m 755 %{S:1} ${RPM_BUILD_ROOT}/etc/init.d/iscsitarget
install -D -m 644 doc/manpages/ietd.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/ietd.8
install -D -m 644 doc/manpages/ietd.conf.5 ${RPM_BUILD_ROOT}%{_mandir}/man5/ietd.conf.5
ln -sf ../../etc/init.d/iscsitarget $RPM_BUILD_ROOT/usr/sbin/rciscsitarget

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
rm -f filelist

%post
%{fillup_and_insserv iscsitarget}

%postun
%{insserv_cleanup}

%files
%attr(755,root,root)/usr/sbin/*
%attr(755,root,root)/etc/init.d/*
%defattr(-,root,root)
%config /etc/ietd.conf
%doc COPYING README
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*

%changelog -n iscsitarget
* Wed May 31 2006 - hare@suse.de
- Pull in fixes from upstream to prevent kernel oops [#179557]
* Mon May 22 2006 - hare@suse.de
- Set mode for /etc/ietd.conf to 600 [#177081]
* Thu May 18 2006 - kukuk@suse.de
- Fix return code of init script [#176186]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - hare@suse.de
- Update to official version 0.4.13
* Thu Nov 03 2005 - hare@suse.de
- Update to svn r1262, version 0.4.13
* Sun Sep 11 2005 - aj@suse.de
- Correct rciscsitarget link.
- Do not depend on kernel-source and kernel-syms since those are
  not needed.
* Wed Sep 07 2005 - hare@suse.de
- Update to svn r1247
- Fix init script (#114386)
* Wed Jul 06 2005 - hare@suse.de
- Initial version 0.4.11
